# -*- coding: utf-8 -*-
import mod.client.extraClientApi as clientApi
import mod.server.extraServerApi as serverApi
from mod.common.mod import Mod


@Mod.Binding(name='putBlockMod', version="1.0")
class MyMod(object):

    def __init__(self):
        pass

    @Mod.InitServer()
    def initServer(self):
        testServer = serverApi.RegisterSystem('putBlockMod', 'customEntityServerSystem',
                                              "putBlockScripts.customEntityServerSystem.CustomEntityServerSystem")

    @Mod.InitClient()
    def initClient(self):
        testClient = clientApi.RegisterSystem('putBlockMod', 'customEntityClientSystem',
                                              "putBlockScripts.customEntityClientSystem.CustomEntityClientSystem")
