# -*- coding: utf-8 -*-
import mod.client.extraClientApi as clientApi
import mod.server.extraServerApi as serverApi
from mod.common.mod import Mod


@Mod.Binding(name='spawnMonsterMod', version="1.0")
class MyMod(object):

    def __init__(self):
        pass

    @Mod.InitServer()
    def initServer(self):
        testServer = serverApi.RegisterSystem('spawnMonsterMod', 'spawnMonsterServerSystem',
                                              "spawnMonsterScripts.spawnMonsterServerSystem.SpawnMonsterServerSystem")

    @Mod.InitClient()
    def initClient(self):
        testClient = clientApi.RegisterSystem('spawnMonsterMod', 'spawnMonsterClientSystem',
                                              "spawnMonsterScripts.spawnMonsterClientSystem.SpawnMonsterClientSystem")
