# -*- coding: utf-8 -*-
import mod.client.extraClientApi as clientApi
import mod.server.extraServerApi as serverApi
from mod.common.mod import Mod


@Mod.Binding(name='timeRuleMod', version="1.0")
class MyMod(object):

    def __init__(self):
        pass

    @Mod.InitServer()
    def initServer(self):
        testServer = serverApi.RegisterSystem('timeRuleMod', 'timeRuleServerSystem',
                                              "timeRuleScripts.timeRuleServerSystem.TimeRuleServerSystem")

    @Mod.InitClient()
    def initClient(self):
        testClient = clientApi.RegisterSystem('timeRuleMod', 'timeRuleClientSystem',
                                              "timeRuleScripts.timeRuleClientSystem.TimeRuleClientSystem")
